#!/bin/bash
function pack_ {
tar cvfJ 99XAUD33.tar.xz 99XAUD33
tar cvfJ AORUS_Z370.tar.xz AORUS_Z370
tar cvfJ ASUS_X75VC.tar.xz ASUS_X75VC
tar cvfJ FM2A88M-extreme4.tar.xz FM2A88M-extreme4
tar cvfJ MR3020.tar.xz MR3020
tar cvfJ WR703N.tar.xz WR703N
rm -r AORUS_Z370 ASUS_X75VC FM2A88M-extreme4 MR3020 WR703N 99XAUD33
}

function unpack_ {
tar xvfJ 99XAUD33.tar.xz
tar xvfJ AORUS_Z370.tar.xz
tar xvfJ ASUS_X75VC.tar.xz
tar xvfJ FM2A88M-extreme4.tar.xz
tar xvfJ MR3020.tar.xz
tar xvfJ WR703N.tar.xz
}

function clean_ {
rm -r AORUS_Z370 ASUS_X75VC FM2A88M-extreme4 MR3020 WR703N 99XAUD33
}


function show_help {
echo "\
Usage: $0 [--pack] [--unpack] [--clean] [--help]

     --help             Display extended help message
     --pack             Pack files
     --unpack           Unpack files
     --clean            Clean files

Install script Written by: wareck <wareck@gmail.com>
"
}

if [ "$#" == "0" ]; then
    $0 *
    exit 0
fi

for i in "$@"
do
    case $i in
        --help)
            show_help
            exit
            ;;
        --pack)
            pack_
            ;;
        --unpack)
            unpack_
           ;;
         --clean)
            clean_
            ;;
        *)
            show_help
            exit
            ;;
    esac
done
